Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227100 - Review Request: plexus-compiler-1.5.2-2jpp - Plexus Compiler
Summary: Review Request: plexus-compiler-1.5.2-2jpp - Plexus Compiler
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tania Bento
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:51 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version: 1.5.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-08 18:19:59 UTC
tbento: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:51:20 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-compiler-1.5.2-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-compiler-1.5.2-2jpp.src.rpm
Description: Plexus Compiler components.

Javadoc for plexus-compiler.

Comment 2 Tania Bento 2007-03-09 18:46:16 UTC
MUST:

* package is named appropriately
 - match upstream tarball or project name
 OK

 - try to match previous incarnations in other distributions/packagers for
consistency
 OK

 - specfile should be %{name}.spec
 OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
 OK

* is it legal for Fedora to distribute this?
 - OSI-approved
 OK

* license field matches the actual license.
 OK

* license is open source-compatible.
 - use acronyms for licences where common
 OK

* specfile name matches %{name}
 OK

* skim the summary and description for typos, etc.
 OK

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 OK

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
 OK

* keep old changelog entries; use judgement when removing (too old?
useless?) 
 OK

* packages meets FHS (http://www.pathname.com/fhs/) 
 OK

* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.
 OK

* Packager tag should not be used
 OK

* Vendor tag should not be used
 OK
 
* Distribution tag should not be used
 OK

* use License and not Copyright 
 OK

* Summary tag should not end in a period
 OK

* post and postun javadoc should not exist
 OK

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
 OK

* specfile is legible
 - this is largely subjective; use your judgement
 OK

* package successfully compiles and builds on at least x86i
 OK

* BuildRequires are proper
 - builds in mock will flush out problems here
 OK 

* summary should be a short and concise description of the package
 OK

* description expands upon summary (don't include installation
instructions)
 Description is vague, but I think this is OK.

X make sure lines are <= 80 characters
 Some lines have more than 80 characters.

* specfile written in American English
 OK

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
 OK

* packages including libraries should exclude static libraries if possible
 OK

* don't use rpath
 OK

* config files should usually be marked with %config(noreplace)
 OK

* GUI apps should contain .desktop files
 OK

* should the package contain a -devel sub-package?
 OK

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
 OK

* don't use %makeinstall
 OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
 OK

* consider using cp -p to preserve timestamps
 OK

* split Requires(pre,post) into two separate lines
 OK

* package should probably not be relocatable
 OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
 OK

* package should own all directories and files
 OK

* there should be no %files duplicates
 OK

* file permissions should be okay; %defattrs should be present
 OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
 OK

* %clean should be present
 OK

* %doc files should not affect runtime
 OK

* verify the final provides and requires of the binary RPMs
 OK

X rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
 W: plexus-compiler non-standard-group Development/Java - OK

X run rpmlint on the binary RPMs
 W: plexus-compiler non-standard-group Development/Java - OK
 W: plexus-compiler no-documentation - OK

* license text included in package and marked with %doc
 Not applicable.

X verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
 Missing tar instruction:
  tar czf plexus-compiler-src.tar.gz plexus-compiler-1.5.2/

SHOULD:

* package should include license text in the package and mark it with %doc
 Not applicable (see above).

* package should build on i386
 OK

X package should build on mock
 Should be built on mock once gcj support is added.

A couple of other things:
 - gcj support option be added.
 - "%define section free" could be removed.

Comment 3 Deepak Bhole 2007-03-10 00:42:45 UTC
New spec and srpm:
http://people.redhat.com/dbhole/fedora/plexus-compiler/plexus-compiler.spec
http://people.redhat.com/dbhole/fedora/plexus-compiler/plexus-compiler-1.5.2-2jpp.1.fc7.src.rpm


Some of the lines couldn't be broken down because they are file paths.
Everything else has been reduced to <= 80

I also added a comment on how to generate the tarball

Comment 4 Tania Bento 2007-03-13 17:18:12 UTC
> Some of the lines couldn't be broken down because they are file paths.
> Everything else has been reduced to <= 80
> 
> I also added a comment on how to generate the tarball

Okay.  But I think you may have forgotten to add gcj support and remove the
"%define section free" line.

Comment 5 Deepak Bhole 2007-03-13 20:38:18 UTC
I removed the fress section and updated the summary and description to better
put what the rpm does.

New spec and srpm:
http://people.redhat.com/dbhole/fedora/plexus-compiler/plexus-compiler.spec
http://people.redhat.com/dbhole/fedora/plexus-compiler/plexus-compiler-1.5.2-2jpp.1.fc7.src.rpm

Comment 6 Deepak Bhole 2007-03-13 20:43:51 UTC
Forgot to mention:

Since gcj support is optional for now, I am not putting it in in the interest of
time. It we done at a later point in time.

Comment 7 Tania Bento 2007-03-14 14:40:56 UTC
Approved.

Comment 8 Deepak Bhole 2007-03-14 14:42:36 UTC
Please set fedora-review+

Comment 9 Deepak Bhole 2007-03-14 15:00:36 UTC
New Package CVS Request
=======================
Package Name: plexus-compiler
Short Description: Compiler call initiators for Plexus
Owners: dbhole@redhat.com
Branches: devel

Comment 10 Tania Bento 2007-06-08 18:19:59 UTC
Closing bug.


Note You need to log in before you can comment on or make changes to this bug.